#################################################
#
#  (C) 2013 Slávek Banko
#  slavek (DOT) banko (AT) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${SDL_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}/tde
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${SDL_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
  ${TQT_LIBRARY_DIRS}
)


##### noatuntyler (kpart) ##########

tde_add_kpart( noatuntyler AUTOMOC
  SOURCES tyler.cpp
  LINK tdeio-shared noatun m
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### noatuntyler.bin (executable) #########################

tde_add_executable( noatuntyler.bin AUTOMOC
  SOURCES main.cpp file.cpp compute.c display.c renderer.c
  LINK tdeio-shared DCOP ${SDL_LIBRARIES} noatun
  DESTINATION ${BIN_INSTALL_DIR}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE tyler.plugin
  DESTINATION ${DATA_INSTALL_DIR}/noatun
  PO_DIR noatun-plugins-desktops
)

install(
  FILES tylerstates
  DESTINATION ${DATA_INSTALL_DIR}/noatun
)
